aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcallmetango <callmetango@users.noreply.github.com>2019-01-08 07:49:45 +0100
committerAnthony G. Basile <blueness@gentoo.org>2019-01-15 05:29:59 -0500
commitf59563efa6da68cb2767e5b6d44c65934d4836db (patch)
tree21b65fa6f03153aab8b3e07bd106d4b028c42a6d /app-office
parentPatch i3status to remove uses of GLOB_TILDE (diff)
downloadmusl-f59563efa6da68cb2767e5b6d44c65934d4836db.tar.gz
musl-f59563efa6da68cb2767e5b6d44c65934d4836db.tar.bz2
musl-f59563efa6da68cb2767e5b6d44c65934d4836db.zip
app-office/libreoffice: version bump to 6.1.4.2
Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Diffstat (limited to 'app-office')
-rw-r--r--app-office/libreoffice/Manifest13
-rw-r--r--app-office/libreoffice/files/libreoffice-6.1-nomancompress.patch29
-rw-r--r--app-office/libreoffice/files/libreoffice-6.1.4.2-disable-liborcus-unittest.patch13
-rw-r--r--app-office/libreoffice/files/libreoffice-6.1.4.2-linux-musl.patch60
-rw-r--r--app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-execinfo.patch39
-rw-r--r--app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-includes.patch13
-rw-r--r--app-office/libreoffice/files/libreoffice-6.1.4.2-musl-stacksize.patch39
-rw-r--r--app-office/libreoffice/libreoffice-6.1.4.2.ebuild578
8 files changed, 773 insertions, 11 deletions
diff --git a/app-office/libreoffice/Manifest b/app-office/libreoffice/Manifest
index 1bba52d..866b812 100644
--- a/app-office/libreoffice/Manifest
+++ b/app-office/libreoffice/Manifest
@@ -1,12 +1,3 @@
-AUX libreoffice-5.2.5.1-glibc-2.24.patch 361 BLAKE2B d95ded4f051c77aed22ce99f6273b73ec0893190622f55a3d6d3c3e3e53c59a2f3ce3f645b011c1afa02b727ee803898c65f8feff723955a2fe1a69de6d24480 SHA512 b5ff4c6d3771bcdde21613ad15459120ac1d759b1b3b422b5cba3ee23f7ddf88fde274956f2c91f0a6a37cb36a8d90d8f90bd865e6c2d3ff7c2100e2b469dbd8
-AUX libreoffice-5.3.4.2-kioclient5.patch 605 BLAKE2B 30961066c080c4d06ca978b7c0ad4b57a3739d6d34a2941f2ea57d3a5c4ab65e3f3c2376243aa88c9c05b1038cf9bfb7605a370d11513bb4553de2d268010519 SHA512 2aa6d1fc96749b79b3291f6e27630c6cf59d2c743f0dd8603867ba8aec2c17f87b70e1dd031365013f7e9ea53c160e9cb3f48af592a587dc05f3ae4cc1b35df6
-AUX libreoffice-5.4-system-pyuno.patch 1399 BLAKE2B d7516b0ac19509dae8eaaac94acad65e35c71b68ea0f2962c41d9422a89993dc90e76b1f7cd3d19f8f3860b443f063ee1c17024c7f56fd3b8470d2b690eb9c32 SHA512 41b57b857a294b8ac234aaf160dbd380008f716ffdf481b7c733f1dab8702876aad827ab9f1b8f2f26778f0b3a6dfdc9e3ae190188a484d9aeb4568df2e9b418
-AUX libreoffice-6.0.3.2-disable-flaky-tests-1.patch 8928 BLAKE2B e5399e0e520dfe4ac5d0a02c3bf3372ccdc7725f073aabb74c36600a7cd09eb45a9e5d5486bf700ae374723206e3a421069b298137d14a9b05e17e70f2d9d3b4 SHA512 ca100dc389ed93a5eeed35f001d9e0f6f886782bfaa3dead3105b9bce91ca9e721354b55cd67fdb40c7d2d64966c530ebc6ba6a4e3c62b0e006759c7b64f1b29
-AUX libreoffice-6.0.3.2-testTdf108947.patch 638 BLAKE2B 38da9bf34a921d22002d45e650c738687706c77a67ac2748ee14efb48f47a328b1339712687b525a4f66a1ad0b36fc69c0613ef441067a206ea4df81754f4727 SHA512 a712fb653d86a74a96d568805ca48d183a7ec71f32ef34cfb98a4999cb7fead3f5cd11f5d8f8944041583d5221b0dbaeb3cdfc625a1958118e867569d0c56479
-AUX libreoffice-6.0.6.2-disable-liborcus-unittest.patch 806 BLAKE2B 80fe7c24fad360092b9642aa2ab6bbe7eadfa561312908a7d2b5541551c6f03f17573b51fdd2d82ea435555dc0762df9d3f07d3d91a8255786ffb82a24d48c34 SHA512 056ec393ef36aa790919bdb976b100593481a3dffec0ec4095023df6706e0a2ccc3aec9383d8382b2fecbc77e13833599ead82fb712d7b7147bdf01175b4c5a9
-AUX libreoffice-6.0.6.2-linux-musl.patch 1812 BLAKE2B 7d18cdbd40d5b2a56f55500b57d6104cdd0bb6211aec5d4096752736cf5e71be1b8770bc6978c466ba16f139ccc3adc769015880c16bacbcbf94a54ee65c5193 SHA512 10a1ee056ebce41b2f6d3863b220f8529f70b7fd159ff2d36967ad96d9653166737db4ba865c10769c37afad553f59fb9629437c0d8a1afbbff963fc36dbbf1a
-AUX libreoffice-6.0.6.2-musl-fix-execinfo.patch 1014 BLAKE2B d252b43c98ebf9708430d0531d0ed9f5b99f249a98fbab48f13dc750a5e5091442ae8d0c56ba81eb4a2c634be81bec6d82bbc94bda8b7b23a2ab3d9509524e3d SHA512 4aa595588226ac2060ae78f4f857db1b148735429a47389f75313df61cabf0819ad2add15c09cae5c5ebbce64852589ca89932c72281ba662ab53dddec4e1336
-AUX libreoffice-6.0.6.2-musl-fix-includes.patch 1123 BLAKE2B fc1c1a871ba0f8d903d0f06a9bfa71890ee5def1f55345b47d12cabb762510149a9a49e761b2ced2452b44a505ad3685f8d5ecdf23fac90871c13058c418cdf9 SHA512 ae36500897db9d758e95da1791ef2577d59b0e0865baba316b4a1f1f48ce9fd5e52fc3f14fa45aeeab73c5b93f57e89f9a42c996bdb3c85eb3beb2634543d85e
DIST 17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip 3519470 BLAKE2B ccfdf6b7f88f22d3ec7898c529c374f13059979450aabdccc9781ca91dd27d0119dfec3d33dda073c2973fa4a8aacae13924c9a67e38a1422c48bfee41b6f3e8 SHA512 a231eba4a1baca11766ef292ab45e302081115477fe23018652882923308856835cf8c9ecba61a5cf22543474ccef3136965d794a90c9e4e9e6dcc21f9af6e1a
DIST 185d60944ea767075d27247c3162b3bc-unowinreg.dll 12288 BLAKE2B c067f60d0ee325feae4f168ad0f84602708fe724a1d9a9a054ed4991992c1d4637b31083cf569326b8aac1ec598e71ec65fb31ee16233b9c736e97ef062b47d7 SHA512 854b8ae29b57b40ba6bb6ff66e723a0e8dad053fcc2849f0ad763cd8a31352f4aeba9636fd4e3f0f2a0cd985a6f49b4261b9ace68d6be821ed42cfa7a73eb13c
DIST 35c94d2df8893241173de1d16b6034c0-swingExSrc.zip 9796 BLAKE2B a30b0225313b23092bc57ccd989f26ea04a323dcb17a0ea8baaa6a21b5d5e2b6e29fcae9d18ecd043073030e104ad56c86a115760590f57eda86c22c9fe478b0 SHA512 4a48f1e32907fb2dee601cda3cd7a0d7198b2d51f2a572b647f1e93f901fd511eef3567676e52dfb1723a2cdfbc01f2015ca0bb22903b0bc1476dd618cc9aa8a
@@ -14,7 +5,7 @@ DIST 798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip 1521926 BLAKE2B d2769842c18
DIST a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip 23150 BLAKE2B 51db6bd90585b13857ecb494c805c9fb6874e1e65d7aee73d23e1716670836a14b376bcca810f96fd55b0ed653b2660a268030f246c822cbb04f867ef763a3b3 SHA512 2d3835f7ac356805025cafedcad97faa48d0f5da386e6ac7b7451030059df8e2fdb0861ade07a576ebf9fb5b88a973585ab0437944b06aac9289d6898ba8586a
DIST libreoffice-6.0.5.2-patchset-01.tar.xz 39820 BLAKE2B d8b436378b05a8a58156817b5d1e0323fd6fcfde9aa9fc4fc6a8056a06a16c84c5860ffe1ae715faddb707c5aa417b43e6c7f5c05821f86208edbb3778d830a1 SHA512 ec99a6358c0a20075abc0aa136ad6ccded4562fa0f25897efe2a8783fb33b97b92a2dd8041206b3344a79dfd10ebe98b79c8bf0b4e8539e45942978f0028dc59
DIST libreoffice-6.0.6.2.tar.xz 205022916 BLAKE2B 715d24c7bbfe4d570011f5090cf647421f68e73fb76047ec0fb973ec0bfb30be3ec1d521bdd92369e23abaa444e7afd3e070ff613486e8f85b9ca76d9496fd0e SHA512 8cf7bd4d8f81ee09f8a21c4ccb12f788c67cf1cba71e08b9b720f9e8b4ec2dfcc25452ef05b6b60529463241c2b23a70eb6a79a8f15b95e890a2ea9cbb458517
+DIST libreoffice-6.1.4.2.tar.xz 207710664 BLAKE2B 52bab412094c1ff7e184ea65c588360c18b061c3e14b7be07171f6b5831261766e2ac7d7373f5f789d125671da41e8b67d34360d4b7014dcb98df01828aeb094 SHA512 ba81b7744b908f9fe67a83e72c17c08b3b2e99599a5fd4f9cc1f2d81b3fd0ddb8065ae466205f85185ab9420350cea0b2d60108df3e583b74bd1fcd9e4eb0c3c
DIST libreoffice-branding-gentoo-0.8.tar.xz 151568 BLAKE2B f03c7ddeb53c5ca3fd23401679601fcf2c4037ba17be4eb7b784c7ce7ebb71a24b8ab4aac8b7da8c6b1f14dd23bc1294ba85ff4f70ad271fb4ee3c5372e10883 SHA512 785031a699b1d1895ce4b50ffc3ddf645f3a0ef9acdf37facfd18cf75db9484cb8f53a50abb63d6006ead76a80b6ff5aa99661063245ebb84bd64013d713de7f
DIST libreoffice-help-6.0.6.2.tar.xz 2972748 BLAKE2B 38534d5fd08751af587fd5b5be03b39b086e2bc26878c50e98bafd7a2b48f517ac29b8d434748449b0a3e8a451c31f40255094d64965800aadfd94c111295be5 SHA512 89caab57774f85f3e58523c0debb57247a0f10959634bf296aaacc4928bcce6ea8ed9f167b267e2e0eeb52b69714eeb094fedfa3e810cf409dfbc7c5e49b7c13
-EBUILD libreoffice-6.0.6.2.ebuild 17001 BLAKE2B bf32a9fb7399f9bdef68abf3985fb07ff726dcecd8631f43ae936d9b815ee8c31bf11e82b2c39dc3b473726b97d90931560a9a79a556a61edc3f37d4c4a0733a SHA512 c058c8823afd9318e19b230e7d26b30b40d7d6780672767d5a6c3fb0e90257cb7cfb78f86f36061a975afe2cb86637ed0e9cdfa7944f4a85cacd1172efad0fc9
-MISC metadata.xml 1090 BLAKE2B b30fc707317ea0601859f327540712eae38a9fc7365675501fca648e17e2ee3b35c2391e76dc7878b53e5216ca4eb2618595fbac2e07d8680f8daeaa67aaeeeb SHA512 4ffa1f2d605bc5666e25ce126d3264f9ed272ae1b12b9dd17ae366462d58de4a64767ee63928b233c21a15a77b549eb5c574064e73164cb20b0adb6ce12a9ec2
+DIST libreoffice-help-6.1.4.2.tar.xz 15757700 BLAKE2B 53c398efb3b839740a9146ea1b0f70f019936c914f7aedf38b7da69faf532ab139a8847d6eb251b2850511e0e7bd169c74fafedd0926dc987659aa27878cf740 SHA512 e24f2f6795856da62f77ebfdcfedc8190b8ecef74e395fc263f0cab4a27c0fe3d95f37665747a590fc7a6a93c6c3473a2a4501c50d415cc602f85838955fe9ab
diff --git a/app-office/libreoffice/files/libreoffice-6.1-nomancompress.patch b/app-office/libreoffice/files/libreoffice-6.1-nomancompress.patch
new file mode 100644
index 0000000..ea6eb8b
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.1-nomancompress.patch
@@ -0,0 +1,29 @@
+--- a/bin/distro-install-desktop-integration 2018-10-29 20:55:29.000000000 +0100
++++ b/bin/distro-install-desktop-integration 2018-11-22 02:03:36.464866894 +0100
+@@ -39,22 +39,20 @@
+
+ create_man_link()
+ {
+- echo "Install $MANDIR/man1/$1.1.gz"
++ echo "Install $MANDIR/man1/$1.1"
+
+ mkdir -p $DESTDIR$MANDIR/man1
+ echo ".so man1/$2.1" >| $DESTDIR$MANDIR/man1/$1.1
+- gzip -f $DESTDIR$MANDIR/man1/$1.1
+- test -f "$DESTDIR/$3" && echo "$MANDIR/man1/$1.1.gz" >>"$DESTDIR/$3"
++ test -f "$DESTDIR/$3" && echo "$MANDIR/man1/$1.1" >>"$DESTDIR/$3"
+ }
+
+ install_man()
+ {
+- echo "Install $MANDIR/man1/$1.1.gz"
++ echo "Install $MANDIR/man1/$1.1"
+
+ mkdir -p $DESTDIR$MANDIR/man1
+ cp "${SRCDIR?}"/sysui/desktop/man/$1.1 $DESTDIR$MANDIR/man1 || exit 1;
+- gzip -f $DESTDIR$MANDIR/man1/$1.1
+- test -f "$DESTDIR/$2" && echo "$MANDIR/man1/$1.1.gz" >>"$DESTDIR/$2"
++ test -f "$DESTDIR/$2" && echo "$MANDIR/man1/$1.1" >>"$DESTDIR/$2"
+ }
+
+
diff --git a/app-office/libreoffice/files/libreoffice-6.1.4.2-disable-liborcus-unittest.patch b/app-office/libreoffice/files/libreoffice-6.1.4.2-disable-liborcus-unittest.patch
new file mode 100644
index 0000000..afdca6b
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.1.4.2-disable-liborcus-unittest.patch
@@ -0,0 +1,13 @@
+--- a/sc/qa/unit/subsequent_filters-test.cxx 2018-02-22 18:45:41.000000000 +0100
++++ b/sc/qa/unit/subsequent_filters-test.cxx 2018-03-02 11:24:08.616015560 +0100
+@@ -2395,7 +2395,9 @@
+ CPPUNIT_ASSERT_MESSAGE("Style Name1 : Doesn't have Attribute background, but it should have.",
+ pStyleSheet->GetItemSet().HasItem(ATTR_BACKGROUND, &pItem));
+ const SvxBrushItem* pBackground = static_cast<const SvxBrushItem*>(pItem);
+- CPPUNIT_ASSERT_EQUAL(Color(254, 255, 204), pBackground->GetColor());
++ /* This test fails with liborcus >= 0.13.3
++ * CPPUNIT_ASSERT_EQUAL(Color(254, 255, 204), pBackground->GetColor());
++ */
+
+ CPPUNIT_ASSERT_MESSAGE("Style Name1 : Doesn't have Attribute border, but it should have.",
+ pStyleSheet->GetItemSet().HasItem(ATTR_BORDER, &pItem));
diff --git a/app-office/libreoffice/files/libreoffice-6.1.4.2-linux-musl.patch b/app-office/libreoffice/files/libreoffice-6.1.4.2-linux-musl.patch
new file mode 100644
index 0000000..5fbf6b3
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.1.4.2-linux-musl.patch
@@ -0,0 +1,60 @@
+--- libreoffice-5.3.0.3/configure.ac.orig 2017-01-26 22:22:46.000000000 +0000
++++ libreoffice-5.3.0.3/configure.ac 2017-02-08 13:14:16.777547599 +0000
+@@ -652,7 +652,7 @@
+ fi
+ ;;
+
+-linux-gnu*|k*bsd*-gnu*)
++linux-gnu*|linux-musl*|k*bsd*-gnu*)
+ test_gtk=yes
+ build_gstreamer_1_0=yes
+ build_gstreamer_0_10=yes
+@@ -4170,7 +4170,7 @@
+ esac
+ ;;
+
+-linux-gnu*)
++linux-gnu*|linux-musl*)
+ COM=GCC
+ USING_X11=TRUE
+ OS=LINUX
+@@ -7197,7 +7197,7 @@
+ test -d "$JAVA_HOME/include/native_thread" && JAVAINC="$JAVAINC -I$JAVA_HOME/include/native_thread"
+ ;;
+
+- linux-gnu*)
++ linux-gnu*|linux-musl*)
+ JAVAINC="-I$JAVA_HOME/include"
+ JAVAINC="$JAVAINC -I$JAVA_HOME/include/linux"
+ test -d "$JAVA_HOME/include/native_thread" && JAVAINC="$JAVAINC -I$JAVA_HOME/include/native_thread"
+@@ -9748,21 +9748,6 @@
+ fi
+ AC_SUBST(SYSTEM_LIBEXTTEXTCAT_DATA)
+
+-dnl ***************************************
+-dnl testing libc version for Linux...
+-dnl ***************************************
+-if test "$_os" = "Linux"; then
+- AC_MSG_CHECKING([whether libc is >= 2.1.1])
+- exec 6>/dev/null # no output
+- AC_CHECK_LIB(c, gnu_get_libc_version, HAVE_LIBC=yes; export HAVE_LIBC)
+- exec 6>&1 # output on again
+- if test "$HAVE_LIBC"; then
+- AC_MSG_RESULT([yes])
+- else
+- AC_MSG_ERROR([no, upgrade libc])
+- fi
+-fi
+-
+ dnl =========================================
+ dnl Check for the Windows SDK.
+ dnl =========================================
+@@ -12775,7 +12760,7 @@
+
+ case "$host_os" in
+
+- aix*|dragonfly*|freebsd*|linux-gnu*|*netbsd*|openbsd*)
++ aix*|dragonfly*|freebsd*|linux-gnu*|linux-musl*|*netbsd*|openbsd*)
+ if test "$ENABLE_JAVA" != ""; then
+ pathmunge "$JAVA_HOME/bin" "after"
+ fi
diff --git a/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-execinfo.patch b/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-execinfo.patch
new file mode 100644
index 0000000..4c3b359
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-execinfo.patch
@@ -0,0 +1,39 @@
+diff --git a/sal/osl/unx/backtrace.h b/sal/osl/unx/backtrace.h
+index 5fafc1c..408c12c 100644
+--- a/sal/osl/unx/backtrace.h
++++ b/sal/osl/unx/backtrace.h
+@@ -20,7 +20,7 @@
+ #ifndef INCLUDED_SAL_OSL_UNX_BACKTRACE_H
+ #define INCLUDED_SAL_OSL_UNX_BACKTRACE_H
+
+-#if defined (LINUX)
++#if defined (LINUX) && defined (__GLIBC__)
+
+ #include <execinfo.h>
+
+diff --git a/sal/osl/unx/signal.cxx b/sal/osl/unx/signal.cxx
+index f4c9a9c..da6d9cf 100644
+--- a/sal/osl/unx/signal.cxx
++++ b/sal/osl/unx/signal.cxx
+@@ -35,7 +35,7 @@
+
+ #endif /* MACOSX */
+
+-#ifdef LINUX
++#if defined(LINUX) && defined(__GLIBC__)
+ #include <execinfo.h>
+ #include <link.h>
+ #define INCLUDE_BACKTRACE
+diff --git a/sal/osl/unx/backtrace.c b/sal/osl/unx/backtrace.c
+index 1d9a58b..fd648e4 100644
+--- a/sal/osl/unx/backtrace.c
++++ b/sal/osl/unx/backtrace.c
+@@ -282,7 +282,7 @@ void backtrace_symbols_fd( void **buffer, int size, int fd )
+ }
+ }
+
+-#elif !defined LINUX
++#elif !defined(__GLIBC__)
+
+ int backtrace( void **buffer, int max_frames )
+ {
diff --git a/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-includes.patch b/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-includes.patch
new file mode 100644
index 0000000..d2048e2
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-fix-includes.patch
@@ -0,0 +1,13 @@
+diff --git a/sd/source/ui/remotecontrol/BluetoothServer.cxx b/sd/source/ui/remotecontrol/BluetoothServer.cxx
+index f177d86..99bb408 100644
+--- a/sd/source/ui/remotecontrol/BluetoothServer.cxx
++++ b/sd/source/ui/remotecontrol/BluetoothServer.cxx
+@@ -21,7 +21,7 @@
+ #include <dbus/dbus.h>
+ #include <errno.h>
+ #include <fcntl.h>
+- #include <sys/unistd.h>
++ #include <unistd.h>
+ #include <sys/socket.h>
+ #include <bluetooth/bluetooth.h>
+ #include <bluetooth/rfcomm.h>
diff --git a/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-stacksize.patch b/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-stacksize.patch
new file mode 100644
index 0000000..9968ccb
--- /dev/null
+++ b/app-office/libreoffice/files/libreoffice-6.1.4.2-musl-stacksize.patch
@@ -0,0 +1,39 @@
+diff -Naur libreoffice-6.1.0.3/sal/osl/unx/thread.cxx libreoffice-6.1.0.3-patched/sal/osl/unx/thread.cxx
+--- libreoffice-6.1.0.3/sal/osl/unx/thread.cxx 2018-08-02 22:54:54.000000000 +0300
++++ libreoffice-6.1.0.3-patched/sal/osl/unx/thread.cxx 2018-09-05 18:21:38.552838233 +0300
+@@ -249,7 +249,7 @@
+ short nFlags)
+ {
+ Thread_Impl* pImpl;
+-#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS)
++#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS) || (defined LINUX && !defined __GLIBC__)
+ pthread_attr_t attr;
+ size_t stacksize;
+ #endif
+@@ -265,7 +265,7 @@
+
+ pthread_mutex_lock (&(pImpl->m_Lock));
+
+-#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS)
++#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS) || (defined LINUX && !defined __GLIBC__)
+ if (pthread_attr_init(&attr) != 0)
+ return nullptr;
+
+@@ -282,7 +282,7 @@
+
+ if ((nRet = pthread_create (
+ &(pImpl->m_hThread),
+-#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS)
++#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS) || (defined LINUX && !defined __GLIBC__)
+ &attr,
+ #else
+ PTHREAD_ATTR_DEFAULT,
+@@ -301,7 +301,7 @@
+ return nullptr;
+ }
+
+-#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS)
++#if defined OPENBSD || ((defined MACOSX || defined LINUX) && !ENABLE_RUNTIME_OPTIMIZATIONS) || (defined LINUX && !defined __GLIBC__)
+ pthread_attr_destroy(&attr);
+ #endif
+
diff --git a/app-office/libreoffice/libreoffice-6.1.4.2.ebuild b/app-office/libreoffice/libreoffice-6.1.4.2.ebuild
new file mode 100644
index 0000000..ba47781
--- /dev/null
+++ b/app-office/libreoffice/libreoffice-6.1.4.2.ebuild
@@ -0,0 +1,578 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+PYTHON_REQ_USE="threads(+),xml"
+
+MY_PV="${PV/_alpha/.alpha}"
+MY_PV="${MY_PV/_beta/.beta}"
+# experimental ; release ; old
+# Usually the tarballs are moved a lot so this should make everyone happy.
+DEV_URI="
+ https://dev-builds.libreoffice.org/pre-releases/src
+ https://download.documentfoundation.org/libreoffice/src/${MY_PV:0:5}/
+ https://downloadarchive.documentfoundation.org/libreoffice/old/${MY_PV}/src
+"
+ADDONS_URI="https://dev-www.libreoffice.org/src/"
+
+BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
+# PATCHSET="${P}-patchset-01.tar.xz"
+
+[[ ${MY_PV} == *9999* ]] && inherit git-r3
+inherit autotools bash-completion-r1 check-reqs eapi7-ver flag-o-matic gnome2-utils java-pkg-opt-2 multiprocessing pax-utils python-single-r1 qmake-utils toolchain-funcs xdg-utils
+
+DESCRIPTION="A full office productivity suite"
+HOMEPAGE="https://www.libreoffice.org"
+SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
+[[ -n ${PATCHSET} ]] && SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${PATCHSET}"
+
+# Split modules following git/tarballs; Core MUST be first!
+# Help is used for the image generator
+# Only release has the tarballs
+if [[ ${MY_PV} != *9999* ]]; then
+ for i in ${DEV_URI}; do
+ SRC_URI+=" ${i}/${PN}-${MY_PV}.tar.xz"
+ SRC_URI+=" ${i}/${PN}-help-${MY_PV}.tar.xz"
+ done
+ unset i
+fi
+unset DEV_URI
+
+# Really required addons
+# These are bundles that can't be removed for now due to huge patchsets.
+# If you want them gone, patches are welcome.
+ADDONS_SRC=(
+ "java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
+ # no release for 8 years, should we package it?
+ "libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )"
+ # Does not build with 1.6 rhino at all
+ "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )"
+ # requirement of rhino
+ "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )"
+ # not packageable
+ "odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )"
+)
+SRC_URI+=" ${ADDONS_SRC[*]}"
+
+unset ADDONS_URI
+unset ADDONS_SRC
+
+# Extensions that need extra work:
+LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
+
+IUSE="accessibility bluetooth +branding coinmp +cups dbus debug eds firebird
+googledrive gstreamer +gtk gtk2 kde mysql odk pdfimport postgres test vlc
+$(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ bluetooth? ( dbus )
+ kde? ( gtk )
+ libreoffice_extensions_nlpsolver? ( java )
+ libreoffice_extensions_scripting-beanshell? ( java )
+ libreoffice_extensions_scripting-javascript? ( java )
+ libreoffice_extensions_wiki-publisher? ( java )
+"
+
+LICENSE="|| ( LGPL-3 MPL-1.1 )"
+SLOT="0"
+[[ ${MY_PV} == *9999* ]] || \
+KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86 ~amd64-linux ~x86-linux"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ app-arch/unzip
+ app-arch/zip
+ app-crypt/gpgme[cxx]
+ app-text/hunspell:=
+ >=app-text/libabw-0.1.0
+ >=app-text/libebook-0.1
+ app-text/libepubgen
+ >=app-text/libetonyek-0.1
+ app-text/libexttextcat
+ app-text/liblangtag
+ >=app-text/libmspub-0.1.0
+ >=app-text/libmwaw-0.3.1
+ app-text/libnumbertext
+ >=app-text/libodfgen-0.1.0
+ app-text/libqxp
+ app-text/libstaroffice
+ app-text/libwpd:0.10[tools]
+ app-text/libwpg:0.3
+ >=app-text/libwps-0.4
+ app-text/mythes
+ >=dev-cpp/clucene-2.3.3.4-r2
+ =dev-cpp/libcmis-0.5*
+ dev-db/unixODBC
+ dev-lang/perl
+ dev-libs/boost:=[nls]
+ dev-libs/expat
+ dev-libs/hyphen
+ dev-libs/icu:=
+ dev-libs/libassuan
+ dev-libs/libgpg-error
+ =dev-libs/liborcus-0.13*
+ dev-libs/librevenge
+ dev-libs/libxml2
+ dev-libs/libxslt
+ dev-libs/nspr
+ dev-libs/nss
+ >=dev-libs/redland-1.0.16
+ >=dev-libs/xmlsec-1.2.24[nss]
+ media-gfx/graphite2
+ media-libs/fontconfig
+ media-libs/freetype:2
+ >=media-libs/harfbuzz-0.9.42:=[graphite,icu]
+ media-libs/lcms:2
+ >=media-libs/libcdr-0.1.0
+ >=media-libs/libepoxy-1.3.1[X]
+ >=media-libs/libfreehand-0.1.0
+ media-libs/libpagemaker
+ >=media-libs/libpng-1.4:0=
+ >=media-libs/libvisio-0.1.0
+ media-libs/libzmf
+ net-libs/neon
+ net-misc/curl
+ net-nds/openldap
+ sci-mathematics/lpsolve
+ sys-libs/zlib
+ virtual/glu
+ virtual/jpeg:0
+ virtual/opengl
+ x11-libs/cairo[X]
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ accessibility? ( dev-python/lxml[${PYTHON_USEDEP}] )
+ bluetooth? ( net-wireless/bluez )
+ coinmp? ( sci-libs/coinor-mp )
+ cups? ( net-print/cups )
+ dbus? ( dev-libs/dbus-glib )
+ eds? (
+ dev-libs/glib:2
+ gnome-base/dconf
+ gnome-extra/evolution-data-server
+ )
+ firebird? ( >=dev-db/firebird-3.0.2.32703.0-r1[server] )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ gtk? (
+ dev-libs/glib:2
+ dev-libs/gobject-introspection
+ gnome-base/dconf
+ media-libs/mesa[egl]
+ x11-libs/gtk+:3
+ x11-libs/pango
+ )
+ gtk2? (
+ x11-libs/gdk-pixbuf
+ >=x11-libs/gtk+-2.24:2
+ x11-libs/pango
+ )
+ kde? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtx11extras:5
+ dev-qt/qtwidgets:5
+ kde-frameworks/kconfig:5
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/ki18n:5
+ kde-frameworks/kio:5
+ kde-frameworks/kwindowsystem:5
+ )
+ libreoffice_extensions_scripting-beanshell? ( dev-java/bsh )
+ libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
+ mysql? ( dev-db/mysql-connector-c++ )
+ pdfimport? ( app-text/poppler:=[cxx] )
+ postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ !app-office/libreoffice-bin
+ !app-office/libreoffice-bin-debug
+ !app-office/openoffice
+ media-fonts/liberation-fonts
+ || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools )
+ java? ( >=virtual/jre-1.6 )
+ kde? ( kde-frameworks/breeze-icons:* )
+ vlc? ( media-video/vlc )
+"
+
+if [[ ${MY_PV} != *9999* ]] && [[ ${PV} != *_* ]]; then
+ PDEPEND="=app-office/libreoffice-l10n-$(ver_cut 1-2)*"
+else
+ # Translations are not reliable on live ebuilds
+ # rather force people to use english only.
+ PDEPEND="!app-office/libreoffice-l10n"
+fi
+
+# FIXME: cppunit should be moved to test conditional
+# after everything upstream is under gbuild
+# as dmake execute tests right away
+# tests apparently also need google-carlito-fonts (not packaged)
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/libatomic_ops-7.2d
+ dev-perl/Archive-Zip
+ >=dev-util/cppunit-1.14.0
+ >=dev-util/gperf-3
+ dev-util/intltool
+ =dev-util/mdds-1.3*:1=
+ media-libs/glm
+ sys-devel/bison
+ sys-devel/flex
+ sys-devel/gettext
+ sys-devel/ucpp
+ virtual/pkgconfig
+ x11-base/xorg-proto
+ x11-libs/libXt
+ x11-libs/libXtst
+ java? (
+ dev-java/ant-core
+ >=virtual/jdk-1.6
+ )
+ odk? ( >=app-doc/doxygen-1.8.4 )
+ test? (
+ app-crypt/gnupg
+ dev-util/cppunit
+ media-fonts/dejavu
+ media-fonts/liberation-fonts
+ )
+"
+
+PATCHES=(
+ # "${WORKDIR}"/${PATCHSET/.tar.xz/}
+
+ # not upstreamable stuff
+ "${FILESDIR}/${PN}-5.4-system-pyuno.patch"
+ "${FILESDIR}/${PN}-5.3.4.2-kioclient5.patch"
+ "${FILESDIR}/${PN}-6.1-nomancompress.patch"
+
+ # musl compatibility by AlpineLinux
+ "${FILESDIR}/${PN}-6.1.4.2-linux-musl.patch"
+ "${FILESDIR}/${PN}-6.1.4.2-musl-fix-execinfo.patch"
+ "${FILESDIR}/${PN}-6.1.4.2-musl-fix-includes.patch"
+ "${FILESDIR}/${PN}-6.1.4.2-disable-liborcus-unittest.patch"
+ "${FILESDIR}/${PN}-6.1.4.2-musl-stacksize.patch"
+)
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+_check_reqs() {
+ CHECKREQS_MEMORY="512M"
+ if is-flagq "-g*" && ! is-flagq "-g*0" ; then
+ CHECKREQS_DISK_BUILD="22G"
+ else
+ CHECKREQS_DISK_BUILD="6G"
+ fi
+ check-reqs_$1
+}
+
+pkg_pretend() {
+ use java || \
+ ewarn "If you plan to use Base application you should enable java or you will get various crashes."
+
+ if has_version "<app-office/libreoffice-5.3.0[firebird]"; then
+ ewarn "Firebird has been upgraded to version 3. It is unable to read back Firebird 2.5 data, so"
+ ewarn "embedded firebird odb files created in LibreOffice pre-5.3 can't be opened with this version."
+ ewarn "See also: https://wiki.documentfoundation.org/ReleaseNotes/5.3#Base"
+ fi
+
+ [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_pretend
+}
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+ python-single-r1_pkg_setup
+ xdg_environment_reset
+
+ [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_setup
+}
+
+src_unpack() {
+ default
+
+ if [[ ${MY_PV} = *9999* ]]; then
+ local base_uri branch mypv
+ base_uri="https://anongit.freedesktop.org/git"
+ branch="master"
+ mypv=${MY_PV/.9999}
+ [[ ${mypv} != ${MY_PV} ]] && branch="${PN}-${mypv/./-}"
+ git-r3_fetch "${base_uri}/${PN}/core" "refs/heads/${branch}"
+ git-r3_checkout "${base_uri}/${PN}/core"
+ LOCOREGIT_VERSION=${EGIT_VERSION}
+
+ git-r3_fetch "${base_uri}/${PN}/help" "refs/heads/master"
+ git-r3_checkout "${base_uri}/${PN}/help" "helpcontent2" # doesn't match on help
+ fi
+}
+
+src_prepare() {
+ default
+
+ # sandbox violations on many systems, we don't need it. Bug #646406
+ sed -i \
+ -e "/KF5_CONFIG/s/kf5-config/no/" \
+ configure.ac || die "Failed to disable kf5-config"
+
+ AT_M4DIR="m4" eautoreconf
+ # hack in the autogen.sh
+ touch autogen.lastrun
+
+ # system pyuno mess
+ sed -i \
+ -e "s:%eprefix%:${EPREFIX}:g" \
+ -e "s:%libdir%:$(get_libdir):g" \
+ pyuno/source/module/uno.py \
+ pyuno/source/officehelper.py || die
+ # sed in the tests
+ sed -i \
+ -e "s#all : build unitcheck#all : build#g" \
+ solenv/gbuild/Module.mk || die
+ sed -i \
+ -e "s#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g" \
+ -e "s#Makefile.gbuild all slowcheck#Makefile.gbuild all#g" \
+ Makefile.in || die
+
+ sed -i \
+ -e "s,/usr/share/bash-completion/completions,$(get_bashcompdir)," \
+ -e "s,\$INSTALLDIRNAME.sh,${PN}," \
+ bin/distro-install-desktop-integration || die
+
+ if use branding; then
+ # hack...
+ mv -v "${WORKDIR}/branding-intro.png" "icon-themes/colibre/brand/intro.png" || die
+ fi
+
+ # Don't list pdfimport support in desktop when built with none, bug # 605464
+ if ! use pdfimport; then
+ sed -i \
+ -e ":MimeType: s:application/pdf;::" \
+ -e ":Keywords: s:pdf;::" \
+ sysui/desktop/menus/draw.desktop || die
+ fi
+}
+
+src_configure() {
+ # Set up Google API keys, see https://www.chromium.org/developers/how-tos/api-keys
+ # Note: these are for Gentoo use ONLY. For your own distribution, please get
+ # your own set of keys. Feel free to contact chromium@gentoo.org for more info.
+ local google_default_client_id="329227923882.apps.googleusercontent.com"
+ local google_default_client_secret="vgKG0NNv7GoDpbtoFNLxCUXu"
+
+ # optimization flags
+ export GMAKE_OPTIONS="${MAKEOPTS}"
+ # System python enablement:
+ export PYTHON_CFLAGS=$(python_get_CFLAGS)
+ export PYTHON_LIBS=$(python_get_LIBS)
+
+ if use kde; then
+ export QT_SELECT=5 # bug 639620 needs proper fix though
+ export QT5DIR="$(qt5_get_bindir)/../"
+ export MOC5="$(qt5_get_bindir)/moc"
+ fi
+
+ local gentoo_buildid="Gentoo official package"
+ if [[ -n ${LOCOREGIT_VERSION} ]]; then
+ gentoo_buildid+=" (from git: ${LOCOREGIT_VERSION})"
+ fi
+
+ # system headers/libs/...: enforce using system packages
+ # --disable-breakpad: requires not-yet-in-tree dev-utils/breakpad
+ # --enable-cairo: ensure that cairo is always required
+ # --enable-*-link: link to the library rather than just dlopen on runtime
+ # --enable-release-build: build the libreoffice as release
+ # --disable-fetch-external: prevent dowloading during compile phase
+ # --enable-extension-integration: enable any extension integration support
+ # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
+ # --disable-report-builder: too much java packages pulled in without pkgs
+ # --without-system-sane: just sane.h header that is used for scan in writer,
+ # not linked or anything else, worthless to depend on
+ # --disable-pdfium: not yet packaged
+ local myeconfargs=(
+ --with-system-dicts
+ --with-system-epoxy
+ --with-system-headers
+ --with-system-jars
+ --with-system-libs
+ --enable-cairo-canvas
+ --enable-largefile
+ --enable-mergelibs
+ --enable-neon
+ --enable-python=system
+ --enable-randr
+ --enable-release-build
+ --disable-breakpad
+ --disable-ccache
+ --disable-dependency-tracking
+ --disable-epm
+ --disable-fetch-external
+ --disable-gstreamer-0-10
+ --disable-kde5
+ --disable-online-update
+ --disable-openssl
+ --disable-pdfium
+ --disable-qt5
+ --disable-report-builder
+ --with-alloc=system
+ --with-build-version="${gentoo_buildid}"
+ --enable-extension-integration
+ --with-external-dict-dir="${EPREFIX}/usr/share/myspell"
+ --with-external-hyph-dir="${EPREFIX}/usr/share/myspell"
+ --with-external-thes-dir="${EPREFIX}/usr/share/myspell"
+ --with-external-tar="${DISTDIR}"
+ --with-lang=""
+ --with-parallelism=$(makeopts_jobs)
+ --with-system-ucpp
+ --with-tls=nss
+ --with-vendor="Gentoo Foundation"
+ --with-x
+ --without-fonts
+ --without-myspell-dicts
+ --without-help
+ --with-helppack-integration
+ --with-system-gpgmepp
+ --without-system-sane
+ $(use_enable bluetooth sdremote-bluetooth)
+ $(use_enable coinmp)
+ $(use_enable cups)
+ $(use_enable dbus)
+ $(use_enable debug)
+ $(use_enable eds evolution2)
+ $(use_enable firebird firebird-sdbc)
+ $(use_enable gstreamer gstreamer-1-0)
+ $(use_enable gtk gtk3)
+ $(use_enable gtk2 gtk)
+ $(use_enable kde gtk3-kde5)
+ $(use_enable mysql ext-mariadb-connector)
+ $(use_enable odk)
+ $(use_enable pdfimport)
+ $(use_enable postgres postgresql-sdbc)
+ $(use_enable vlc)
+ $(use_with accessibility lxml)
+ $(use_with coinmp system-coinmp)
+ $(use_with googledrive gdrive-client-id ${google_default_client_id})
+ $(use_with googledrive gdrive-client-secret ${google_default_client_secret})
+ $(use_with java)
+ $(use_with mysql system-mysql-cppconn)
+ $(use_with odk doxygen)
+ )
+
+ if use eds || use gtk; then
+ myeconfargs+=( --enable-dconf --enable-gio )
+ else
+ myeconfargs+=( --disable-dconf --disable-gio )
+ fi
+
+ # libreoffice extensions handling
+ for lo_xt in ${LO_EXTS}; do
+ if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
+ myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt}) )
+ else
+ myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt}) )
+ fi
+ done
+
+ if use java; then
+ # hsqldb: system one is too new
+ myeconfargs+=(
+ --without-junit
+ --without-system-hsqldb
+ --with-ant-home="${ANT_HOME}"
+ --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
+ --with-jvm-path="${EPREFIX}/usr/lib/"
+ )
+
+ use libreoffice_extensions_scripting-beanshell && \
+ myeconfargs+=( --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar) )
+
+ use libreoffice_extensions_scripting-javascript && \
+ myeconfargs+=( --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar) )
+ fi
+
+ is-flagq "-flto*" && myeconfargs+=( --enable-lto )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ # more and more LO stuff tries to use OpenGL, including tests during build
+ # bug 501508, bug 540624, bug 545974 and probably more
+ addpredict /dev/dri
+ addpredict /dev/ati
+ addpredict /dev/nvidiactl
+
+ # hack for offlinehelp, this needs fixing upstream at some point
+ # it is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ (
+ grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk" || die
+ source "${T}/config_host.mk" 2&> /dev/null
+
+ local path="${WORKDIR}/helpcontent2/source/auxiliary/"
+ mkdir -p "${path}" || die
+
+ echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=helpcontent2/source/media/helpimg > \"${path}/helpimg.ilst\""
+ perl "${S}/helpcontent2/helpers/create_ilst.pl" \
+ -dir=helpcontent2/source/media/helpimg \
+ > "${path}/helpimg.ilst"
+ [[ -s "${path}/helpimg.ilst" ]] || \
+ ewarn "The help images list is empty, something is fishy, report a bug."
+ )
+
+ local target
+ use test && target="build" || target="build-nocheck"
+
+ # this is not a proper make script
+ make ${target} || die
+}
+
+src_test() {
+ make unitcheck || die
+ make slowcheck || die
+}
+
+src_install() {
+ # This is not Makefile so no buildserver
+ make DESTDIR="${D}" distro-pack-install -o build -o check || die
+
+ # bug 593514
+ if use gtk; then
+ dosym libreoffice/program/liblibreofficekitgtk.so \
+ /usr/$(get_libdir)/liblibreofficekitgtk.so
+ fi
+
+ # bash completion aliases
+ bashcomp_alias \
+ libreoffice \
+ unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
+
+ if use branding; then
+ insinto /usr/$(get_libdir)/${PN}/program
+ newins "${WORKDIR}/branding-sofficerc" sofficerc
+ dodir /etc/env.d
+ echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"etc/env.d/99${PN} || die
+ fi
+
+ # Hack for offlinehelp, this needs fixing upstream at some point.
+ # It is broken because we send --without-help
+ # https://bugs.freedesktop.org/show_bug.cgi?id=46506
+ insinto /usr/$(get_libdir)/libreoffice/help
+ doins xmlhelp/util/*.xsl
+
+ pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/soffice.bin
+ pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/unopkg.bin
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+}